# User Data Type

Properties
name | data type | description
--- | --- | ---
roles | array of string |
username | string |
accountNonExpired | boolean |
credentialsNonExpired | boolean |
password | string |
enabled | boolean |
accountNonLocked | boolean |
id | string |

Example

    {
      "roles" : [ "[\"ADMIN\",\"USER\"]", "..." ],
      "username" : "user",
      "accountNonExpired" : true,
      "credentialsNonExpired" : true,
      "password" : "...",
      "enabled" : true,
      "accountNonLocked" : true,
      "id" : "58e3946e0fb4f562d84ba1ad"
    }